Name:		newsbeuter
Version:	2.3
Release:	4%{?dist}
Summary:	Configurable text-based feed reader

Group:		Applications/Internet
License:	MIT
URL:		http://newsbeuter.org/
Source0:	http://newsbeuter.org/downloads/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	pkgconfig, gettext, stfl-devel, sqlite-devel, libcurl-devel, libxml2-devel, ncurses-devel
Requires:	stfl

%description
Newsbeuter is a feed reader for text terminals.  Newsbeuter's great
configurability and vast number of features make it a perfect choice for people
that need a slick and fast feed reader that can be completely controlled via
keyboard.


%prep
%setup -q


%build
export CXXFLAGS="%{optflags}"
./config.sh
make %{?_smp_mflags} prefix=%{_prefix}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} prefix=%{_prefix}
# %doc will be used in %files to pull in the documentation
rm -rf %{buildroot}/%{_prefix}/share/doc/%{name}
# remove executable permissions on man pages
find %{buildroot}/%{_prefix}/share/man -type f -exec chmod -x {} ';'
%find_lang %{name}


%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README LICENSE doc/xhtml/newsbeuter.html doc/example-config
%{_mandir}/man1/*
%{_bindir}/*


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Nov 05 2010 Thomas Janssen <thomasj@fedoraproject.org> 2.3-3
- rebuild for new libxml2

* Wed Sep 29 2010 jkeating - 2.3-2
- Rebuilt for gcc bug 634757

* Mon Sep 20 2010 Thomas Janssen <thomasj@fedoraproject.org> 2.3-1
- newsbeuter 2.3

* Tue May 18 2010 Thomas Janssen <thomasj@fedoraproject.org> 2.2-1
- bugfix release
- added google reader support

* Mon Jan 25 2010 Thomas Janssen <thomasj@fedoraproject.org> 2.1-1
- New upstream source 2.1

* Wed Nov 11 2009 Thomas Janssen <thomasj@fedoraproject.org> 2.0-8
- Added BR ncurses-devel

* Fri Oct 02 2009 Thomas Janssen <thomasj@fedoraproject.org> 2.0-7
- Minor spec changes

* Sun Jun 28 2009 Byron Clark <byron@theclarkfamily.name> 2.0-6
- Correct changelog version numbers
- Generate config.mk
- Removed executable bits on manpages

* Wed Jun 10 2009 Byron Clark <byron@theclarkfamily.name> 2.0-5
- Better summary

* Sat Jun 6 2009 Byron Clark <byron@theclarkfamily.name> 2.0-4
- Use find_lang macro for translations
- Remove explicit library requires
- Use _prefix macro instead of an explicit prefix
- Install documentation with doc

* Sun May 31 2009 Byron Clark <byron@theclarkfamily.name> 2.0-3
- Add a description

* Thu May 21 2009 Byron Clark <byron@theclarkfamily.name> 2.0-2
- Fix libxml2 dependency

* Thu May 21 2009 Byron Clark <byron@theclarkfamily.name> 2.0-1
- Initial release
